org.encog.ml.ea.genome

## Interface Genome

- All Superinterfaces:
    MLMethod
  All Known Subinterfaces:
    ArrayGenome
  All Known Implementing Classes:
    BasicGenome, DoubleArrayGenome, EncogProgram, HyperNEATGenome, IntegerArrayGenome, MLMethodGenome, NEATGenome

      public interface Genome
      extends MLMethod

  A genome is the basic blueprint for creating an phenome (organism) in Encog. Some genomes also function as phenomes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `copy(Genome source)` Copy from the specified genome into this one.
    `double` | `getAdjustedScore()` Get the adjusted score, this considers old-age penalties and youth bonuses.
    `int` | `getBirthGeneration()`
    `Population` | `getPopulation()`
    `double` | `getScore()`
    `Species` | `getSpecies()`
    `void` | `setAdjustedScore(double adjustedScore)` Set the adjusted score.
    `void` | `setBirthGeneration(int birthGeneration)` Set the birth genertion (or iteration).
    `void` | `setPopulation(Population population)` Set the population that this genome belongs to.
    `void` | `setScore(double score)` Set the score.
    `void` | `setSpecies(Species s)` Set the species for this genome.
    `int` | `size()`

- - ### Method Detail

    - #### copy

          void copy(Genome source)

      Copy from the specified genome into this one.
      Parameters:
        `source` - The source genome.

    - #### getAdjustedScore

          double getAdjustedScore()

      Get the adjusted score, this considers old-age penalties and youth bonuses. If there are no such bonuses or penalties, this is the same as the score.
      Returns:
        The adjusted score.

    - #### getBirthGeneration

          int getBirthGeneration()

      Returns:
        The birth generation (or iteration).

    - #### getPopulation

          Population getPopulation()

      Returns:
        The population that this genome belongs to.

    - #### getScore

          double getScore()

      Returns:
        The score for this genome.

    - #### setAdjustedScore

          void setAdjustedScore(double adjustedScore)

      Set the adjusted score.
      Parameters:
        `adjustedScore` - The adjusted score.

    - #### setBirthGeneration

          void setBirthGeneration(int birthGeneration)

      Set the birth genertion (or iteration).
      Parameters:
        `birthGeneration` - The birth generation.

    - #### setPopulation

          void setPopulation(Population population)

      Set the population that this genome belongs to.
      Parameters:
        `population` - The population that this genome belongs to.

    - #### setScore

          void setScore(double score)

      Set the score.
      Parameters:
        `score` - The new score.

    - #### size

          int size()

      Returns:
        Return the size of this genome. This size is a relative number that indicates the complexity of the genome.

    - #### getSpecies

          Species getSpecies()

      Returns:
        The species for this genome.

    - #### setSpecies

          void setSpecies(Species s)

      Set the species for this genome.
      Parameters:
        `s` - The species.

Copyright © 2014. All Rights Reserved.